Subject: [CCAMP] 答复: WG Last Call on draft-ietf-ccamp-flexible-grid-ospf-ext-04

From: Zhenghaomian <[email-masked]>
Date: Fri, 1 Jul 2016 07:03:34 +0000

Hi, Dieter,

Thanks for your comments, please see my reply inline:

发件人: CCAMP [mailto:[email-masked]] 代表 Dieter Beller
发送时间: 2016年6月30日 16:50
收件人: Fatai Zhang; CCAMP ([email-masked])
主题: Re: [CCAMP] WG Last Call on draft-ietf-ccamp-flexible-grid-ospf-ext-04

Hi Fatai, CCAMPers,

I've reviewed this document and I have the following comment:

Section 4.1:

4.1. ISCD Extensions for Flexi-grid

         Value                       Type

         -----                       ----

      152 (TBA by IANA)           Flexi-Grid-LSC capable

   Switching Capability and Encoding values MUST be used as follows:

              Switching Capability = Flexi-Grid-LSC

              Encoding Type = lambda [as defined in RFC3471<https://tools.ietf.org/html/rfc3471>]

   When Switching Capability and Encoding fields are set to values as

   stated above, the Interface Switching Capability Descriptor MUST be

   interpreted as in [RFC4203<https://tools.ietf.org/html/rfc4203>] with the optional inclusion of one or

   more Switching Capability Specific Information sub-TLVs.

draft-ietf-ccamp-flexible-grid-ospf-ext-04 defines the Switching Capability Specific Information sub-TLVs, but the ISCD as defined
in RFC4203 contains "Max LSP Bandwidth at priority x" fields in the  generic ISCD part and these fields do IMHO not make
sense for flex grid (see below). The draft does not say how these fields shall be filled.
[Haomian] I agree with what you said, the ‘Max LSP Bandwidth at priority x’ don’t make sense for flexi-grid, so we need to skip this in ISCD section. You are right we need to specify how to fill in even if we skip this section. How about we add the following statement in the end of section 4.1?
Given the Switching Capability set to Flexi-Grid-LSC, the ‘Max LSP Bandwidth at priority x (x from 0 to 7)’ defined in [RFC4203] MUST be fulfilled with 0 and ignored.
Do you think it’s clear enough?

Excerpt from RFC4203:

1.4.  Interface Switching Capability Descriptor

   The Interface Switching Capability Descriptor is a sub-TLV (of type

   15) of the Link TLV.  The length is the length of value field in

   octets.  The format of the value field is as shown below:

    0                   1                   2                   3

    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   | Switching Cap |   Encoding    |           Reserved            |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |                  Max LSP Bandwidth at priority 0              |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |                  Max LSP Bandwidth at priority 1              |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |                  Max LSP Bandwidth at priority 2              |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |                  Max LSP Bandwidth at priority 3              |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |                  Max LSP Bandwidth at priority 4              |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |                  Max LSP Bandwidth at priority 5              |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |                  Max LSP Bandwidth at priority 6              |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |                  Max LSP Bandwidth at priority 7              |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |        Switching Capability-specific information              |

   |                  (variable)                                   |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   The Switching Capability (Switching Cap) field contains one of the

   following values:

      1     Packet-Switch Capable-1 (PSC-1)

      2     Packet-Switch Capable-2 (PSC-2)

      3     Packet-Switch Capable-3 (PSC-3)

      4     Packet-Switch Capable-4 (PSC-4)

      51    Layer-2 Switch Capable  (L2SC)

      100   Time-Division-Multiplex Capable (TDM)

      150   Lambda-Switch Capable   (LSC)

      200   Fiber-Switch Capable    (FSC)

   The Encoding field contains one of the values specified in Section<https://tools.ietf.org/html/rfc4203#section-3.1.1>

   3.1.1<https://tools.ietf.org/html/rfc4203#section-3.1.1> of [GMPLS-SIG<https://tools.ietf.org/html/rfc4203#ref-GMPLS-SIG>].

   Maximum LSP Bandwidth is encoded as a list of eight 4 octet fields in

   the IEEE floating point format [IEEE<https://tools.ietf.org/html/rfc4203#ref-IEEE>], with priority 0 first and

   priority 7 last.  The units are bytes (not bits!) per second.

   The content of the Switching Capability specific information field

   depends on the value of the Switching Capability field.

Minor nits:

page 5 typo:
'Chanel Spacing' instead of 'Channel Spacing'
[Haomian] Thanks, will update in the next version.

page 7 editorial:
'Flexi-Grid-LSC capable': capable should be removed (already included in the LSC abbreviation).

[Haomian] Thanks, will use ‘Flexi-Grid-LSC’ instead of ‘Flexi-Grid-LSC capable’, the replacement will also be applied in other a few places in the draft.

Thanks,
Dieter

On 25.06.2016 04:35, Fatai Zhang wrote:
Hi all,

This starts a two week working group last call on [draft-ietf-ccamp-flexible-grid-ospf-ext-04].

The working group last call ends on Friday, July 8th. Please send your comments to the CCAMP mailing list.

As is always the case, positive comments, e.g., "I've reviewed this document and believe it is ready for publication", are welcome. This is useful and important, even from authors.

Since the WG chairs and secretary are co-authors/co-contributor of this draft, if anyone is willing to be the shepherd of the document, please volunteer.

Note that no IPR was disclosed against this document.

Thanks

Fatai and Daniele

_______________________________________________

CCAMP mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/ccamp

--

Dieter Beller
ASON/GMPLS Project Manager
IP/Optical Networks, Optics, Nokia

t: +49 711 821 43125 | m : +49 175 7266874 | OnNet: 259 43125
[email-masked]<mailto:[email-masked]>
Alcatel-Lucent Deutschland AG | Lorenzstr. 10 | 70435 Stuttgart
Sitz der Gesellschaft | Domicile of the Company: Stuttgart · Amtsgericht Stuttgart HRB 4026
Vorsitzender des Aufsichtsrates | Chairman of the Supervisory Board: Prof. J. Menno Harms
Vorstand | Board of Management: Wilhelm Dresselhaus (Vorsitzender | Chairman) · Hans-Jörg Daub · Ralf Niederberger

This e-mail and its attachments, if any, may contain confidential information.
If you have received this e-mail in error, please notify us and delete or destroy the e-mail and its attachments, if any, immediately.
If you have received this e-mail in error, you must not forward or make use of the e-mail and its attachments, if any.

---

From: Dieter Beller <[email-masked]>
Date: Mon, 4 Jul 2016 13:23:08 +0200

Hi Haomian,

thanks for you swift reply.

Here is my suggestion: add the following 2 sentences at the end of
the last paragraph in section 4.1:

As  the "Max LSP Bandwidth at priority x"
fields in the generic part of the Interface Switching Capability

Descriptor [RFC4203] are not meaningful for flex-grid DWDM links,
the values of these fields MUST be set

to zero and MUST be ignored. The Switching Capability Specific
Information as defined below provides the corresponding
information for flex-grid DWDM links.

Thanks,

Dieter

On 01.07.2016 09:03, Zhenghaomian
wrote:

Hi,
Dieter,

Thanks
for your comments, please see my reply inline:

发件人: CCAMP [mailto:[email-masked]] 代表
Dieter Beller

发送时间: 2016年6月30日 16:50

主题: Re: [CCAMP] WG Last Call on
draft-ietf-ccamp-flexible-grid-ospf-ext-04

Hi Fatai, CCAMPers,

I've reviewed this document and I
have the following comment:

Section 4.1:

Value                       Type

-----                       ----

Encoding Type = lambda [as defined in RFC3471]

interpreted as in [RFC4203] with the optional inclusion of one or

draft-ietf-ccamp-flexible-grid-ospf-ext-04 defines the
Switching Capability Specific Information sub-TLVs, but the
ISCD as defined

in RFC4203 contains "Max LSP Bandwidth at priority x"
fields in the  generic ISCD part and these fields do
IMHO not make

sense for flex grid (see below). The draft does not say how
these fields shall be filled.

[Haomian] I
agree with what you said, the ‘Max LSP Bandwidth at
priority x’ don’t make sense for flexi-grid, so we
need to skip this in ISCD section. You are right we need to
specify how to fill in even if we skip this section. How
about we add the following statement in the end of section
4.1?

Given the Switching
Capability set to Flexi-Grid-LSC, the ‘Max LSP Bandwidth
at priority x (x from 0 to 7)’ defined in [RFC4203] MUST
be fulfilled with 0 and ignored.

Do you think it’s clear
enough?

Excerpt from RFC4203:

0                   1                   2                   3

|                  (variable)                                   |

following values:

The Encoding field contains one of the values specified in Section

3.1.1 of [GMPLS-SIG].

the IEEE floating point format [IEEE], with priority 0 first and

Minor nits:

page 5 typo:

[Haomian] Thanks, will
update in the next version.

page 7 editorial:

'Flexi-Grid-LSC capable': capable should be removed
(already included in the LSC abbreviation).

[Haomian]
Thanks, will use ‘Flexi-Grid-LSC’ instead of ‘Flexi-Grid-LSC
capable’, the replacement will also be applied in other a
few places in the draft.

Thanks,

Dieter

On 25.06.2016 04:35,
Fatai Zhang wrote:

Hi
all,

This
starts a two week working group last call on
[draft-ietf-ccamp-flexible-grid-ospf-ext-04].

The
working group last call ends on Friday, July 8th. Please
send your comments to the CCAMP mailing list.

As
is always the case, positive comments, e.g., "I've
reviewed this document and believe it is ready for
publication", are welcome. This is useful and important,
even from authors.

Since
the WG chairs and secretary are co-authors/co-contributor
of this draft, if anyone is willing to be the shepherd of
the document, please volunteer.

Note
that no IPR was disclosed against this document.

Thanks

Fatai
and Daniele

CCAMP mailing list

[email-masked]

---

From: Zhenghaomian <[email-masked]>
Date: Mon, 4 Jul 2016 12:49:48 +0000

Hi, Dieter,

Thanks for the comments, the sentences you suggested will be updated in the next version.

Best wishes,
Haomian

发件人: Dieter Beller [mailto:[email-masked]]
发送时间: 2016年7月4日 19:23
收件人: Zhenghaomian; CCAMP ([email-masked])
抄送: Fatai Zhang
主题: Re: 答复: [CCAMP] WG Last Call on draft-ietf-ccamp-flexible-grid-ospf-ext-04

Hi Haomian,

Here is my suggestion: add the following 2 sentences at the end of the last paragraph in section 4.1:

As  the "Max LSP Bandwidth at priority x" fields in the generic part of the Interface Switching Capability
Descriptor [RFC4203] are not meaningful for flex-grid DWDM links, the values of these fields MUST be set
to zero and MUST be ignored. The Switching Capability Specific Information as defined below provides the corresponding information for flex-grid DWDM links.

Thanks,
Dieter

On 01.07.2016 09:03, Zhenghaomian wrote:
Hi, Dieter,

发件人: CCAMP [mailto:[email-masked]] 代表 Dieter Beller
发送时间: 2016年6月30日 16:50
收件人: Fatai Zhang; CCAMP ([email-masked]<mailto:[email-masked]>)
主题: Re: [CCAMP] WG Last Call on draft-ietf-ccamp-flexible-grid-ospf-ext-04

Hi Fatai, CCAMPers,

Section 4.1:

         Value                       Type

         -----                       ----

Excerpt from RFC4203:

    0                   1                   2                   3

   |                  (variable)                                   |

   following values:

Minor nits:

page 5 typo:

page 7 editorial:

Thanks,
Dieter

Thanks

Fatai and Daniele

CCAMP mailing list

---

From: Fatai Zhang <[email-masked]>
Date: Mon, 11 Jul 2016 03:48:37 +0000

Hi all,
The WG LC for this document is now closed.
Authors,
There were some comments from Dieter during the LC. Please discuss and address the comments on the mailing list, and please publish an update if necessary.

Thanks

Fatai and Daniele

发件人: CCAMP [mailto:[email-masked]] 代表 Fatai Zhang
发送时间: 2016年6月25日 10:36
收件人: CCAMP ([email-masked])
主题: [CCAMP] WG Last Call on draft-ietf-ccamp-flexible-grid-ospf-ext-04

Hi all,

Thanks

Fatai and Daniele